summaryrefslogtreecommitdiff
path: root/bin/return-assignment
diff options
context:
space:
mode:
authorErich Eckner <git@eckner.net>2017-10-27 15:35:58 +0200
committerErich Eckner <git@eckner.net>2017-10-27 15:35:58 +0200
commit1c26d16709872f97dfce4615a31e472fa0afb3fb (patch)
treea71c15adfd6b11f7321d815a526cb00873509ffc /bin/return-assignment
parent1dfef01eaa3913ae4281d40c1477a56143509f6b (diff)
downloadbuilder-1c26d16709872f97dfce4615a31e472fa0afb3fb.tar.xz
add shared lock for sanity-check
Diffstat (limited to 'bin/return-assignment')
-rwxr-xr-xbin/return-assignment10
1 files changed, 8 insertions, 2 deletions
diff --git a/bin/return-assignment b/bin/return-assignment
index c99bc22..1a27b9f 100755
--- a/bin/return-assignment
+++ b/bin/return-assignment
@@ -32,6 +32,12 @@ if ! flock -n 9; then
exit 1
fi
+exec 8> "${sanity_check_lock_file}"
+if ! flock -s -n 8; then
+ >&2 echo 'come back (shortly) later - sanity-check running.'
+ exit 1
+fi
+
clean_up_lock_file() {
rm -f "${build_list_lock_file}"
}
@@ -106,8 +112,8 @@ fi
# so we also need a lock on the package database
-exec 8> "${package_database_lock_file}"
-if ! flock -n 8; then
+exec 7> "${package_database_lock_file}"
+if ! flock -n 7; then
>&2 echo 'come back (shortly) later - I cannot lock package database.'
exit 1
fi